Package: org.apache.groovy.contracts.common.base

## [Java] Class BaseLifecycle

- org.apache.groovy.contracts.common.base.BaseLifecycle

- All Implemented Interfaces and Traits:
    Lifecycle

      public abstract class BaseLifecycle
      extends Object
      implements Lifecycle

  Base implementation class for interface Lifecycle. This class is supposed tp be extended by Lifecycle implementation classes and provides empty method bodies for all interface methods.

  See Also:
    Lifecycle

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`
    `` | `public void` | `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
    `` | `public void` | `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
    `` | `public void` | `beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`
    `` | `public void` | `beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
    `` | `public void` | `beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public void afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)

    - #### @Override
      public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)

    - #### @Override
      public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)

    - #### @Override
      public void beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)

    - #### @Override
      public void beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)

    - #### @Override
      public void beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)